<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="tableHeader">
			<div
				class="p-4 md:p-6 space-y-3 border-b border-gray-100 dark:border-gray-700"
			>
				<div class="flex items-center justify-between">
					<div>
						<h5 class="mr-3 font-semibold dark:text-white">Karyawan</h5>
						<p class="text-gray-500 dark:text-gray-400">
							Kelola semua karyawan dibawah ini
						</p>
					</div>
				</div>

				<!-- alert -->
				<div th:if="${success == true}"
					id="alert-3"
					class="flex items-center p-4 mb-4 text-green-800 rounded-lg bg-green-50 dark:bg-gray-700 dark:text-green-400"
					role="alert"
				>
					<svg
						class="flex-shrink-0 w-4 h-4"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						fill="currentColor"
						viewBox="0 0 20 20"
					>
						<path
							d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"
						/>
					</svg>
					<span class="sr-only">Info</span>
					<div class="ms-3 text-sm font-medium">
						Data Berhasil <span>diproses</span>
					</div>
					<button
						type="button"
						class="ms-auto -mx-1.5 -my-1.5 bg-green-50 text-green-500 rounded-lg focus:ring-2 focus:ring-green-400 p-1.5 hover:bg-green-200 inline-flex items-center justify-center h-8 w-8 dark:bg-gray-700 dark:text-green-400 dark:hover:bg-gray-700"
						data-dismiss-target="#alert-3"
						aria-label="Close"
					>
						<span class="sr-only">Close</span>
						<svg
							class="w-3 h-3"
							aria-hidden="true"
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 14 14"
						>
							<path
								stroke="currentColor"
								stroke-linecap="round"
								stroke-linejoin="round"
								stroke-width="2"
								d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"
							/>
						</svg>
					</button>
				</div>
			</div>

			<div class="p-4 md:px-6">
				<div
					class="flex flex-col sm:flex-row items-center justify-between gap-3 mb-2"
				>
					<button
						id="openEmployee"
						data-drawer-target="formDrawer"
						data-drawer-show="formDrawer"
						data-drawer-placement="right"
						aria-controls="formDrawer"
						type="button"
						class="sm:order-2 px-5 py-2.5 w-full sm:w-fit text-sm font-medium text-white inline-flex flex-nowrap items-center justify-center bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
					>
						<svg
							class="w-4 h-4 text-white me-2"
							aria-hidden="true"
							xmlns="http://www.w3.org/2000/svg"
							width="24"
							height="24"
							fill="none"
							viewBox="0 0 24 24"
						>
							<path
								stroke="currentColor"
								stroke-linecap="round"
								stroke-linejoin="round"
								stroke-width="2"
								d="M5 12h14m-7 7V5"
							/>
						</svg>
						Karyawan
					</button>
					<div
						class="w-full sm:w-fit flex items-center justify-between flex-row gap-2"
					>
						<form class="shrink-0 w-fit">
							<select
									name="pageSize"
									onchange="submit()"
									class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							>
								<option th:selected="${params.pageSize == 10}"  value="10">10</option>
								<option th:selected="${params.pageSize == 25}"  value="25">25</option>
								<option th:selected="${params.pageSize == 50}"  value="50">50</option>
								<option th:selected="${params.pageSize == 100}" value="100">100</option>
							</select>
							<input type="hidden" name="search" th:value="${params.search}">
							<input type="hidden" name="trash" value="true" th:if="${trash != null}">
						</form>
						<form class="flex items-center flex-1 md:w-96">
							<label for="simple-search" class="sr-only">Search</label>
							<div class="relative w-full">
								<div
									class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none"
								>
									<svg
										aria-hidden="true"
										class="w-5 h-5 text-gray-500 dark:text-gray-400"
										fill="currentColor"
										viewbox="0 0 20 20"
										xmlns="http://www.w3.org/2000/svg"
									>
										<path
											fill-rule="evenodd"
											d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
											clip-rule="evenodd"
										/>
									</svg>
								</div>
								<input
									type="text"
									id="search"
									name="search"
									th:value="${params.search}"
									class="block w-full p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
									placeholder="Search"
								/>
								<input type="hidden" name="pageSize" th:value="${params.pageSize}">
								<input type="hidden" name="trash" value="true" th:if="${trash != null}">
							</div>
						</form>
					</div>
				</div>
				<div class="flex items-center gap-2">
					<span class="text-gray-500 dark:text-gray-400">Tampilkan:</span>
					<form action="">
						<div class="flex items-center gap-2">
							<div class="flex items-center">
								<input
										id="all"
										type="radio"
										th:checked="${trash == null}"
										class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
										onchange="redirectToEmployee()"
								/>
								<label for="all" class="ms-2 text-sm font-medium text-gray-500 dark:text-gray-400">Semua</label>
							</div>
							<div class="flex items-center">
								<input
										th:checked="${trash == true}"
										id="trash"
										type="radio"
										value="true"
										name="trash"
										onchange="redirectToTrash()"
										class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
								/>
								<label for="trash" class="ms-2 text-sm font-medium text-gray-500 dark:text-gray-400">Sampah</label>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</body>
</html>
